// Bastard File System
// (C) 2007 Rene Schickbauer
//
// The Bastard File System (BFS) is a small virtual FS for Applications
// that would normally use Tarballs and/or Zipfiles but have to dynamically
// change its contents
//
// WARNING: This is still ALPHA QUALITY CODE! Use with care!
//
//
#ifndef BFS_HEADER
#define BFS_HEADER

#include "bfs.h"

bool readHeaderBlock(sBFS* handle, int blocknum, BLOCK_HEADER* data);
bool writeHeaderBlock(sBFS* handle, int blocknum, BLOCK_HEADER* data);
bool writeHeaders(sBFS* handle);

#endif // BFS_HEADER
